Bug 416874 - KDevelop crashes when terminating a running program
Summary: KDevelop crashes when terminating a running program
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 5.4.6
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-01-28 17:17 UTC by Lucas Pires Camargo
Modified: 2020-09-23 14:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.6.1


Attachments
Another stack trace (49.71 KB, text/plain)
2020-01-28 18:36 UTC, Lucas Pires Camargo
Details
Happened again, crash in KJob::kill() (91.07 KB, text/plain)
2020-02-04 14:51 UTC, Lucas Pires Camargo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Pires Camargo 2020-01-28 17:17:00 UTC
Application: kdevelop (5.4.6)

Qt Version: 5.13.2
Frameworks Version: 5.66.0
Operating System: Linux 5.3.0-28-generic x86_64
Distribution: KDE neon User Edition 5.17

-- Information about the crash:
- What I was doing when the application crashed:

I was testing a python app, and when I pressed "Stop All" to kill it, the whole of KDevelop crashed :(

The crash can be reproduced sometimes.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f998d712100 (LWP 5546))]

Thread 20 (Thread 0x7f98eaffd700 (LWP 5737)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98d80025e0) at thread/qthread_unix.cpp:360
#15 0x00007f99829a96db in start_thread (arg=0x7f98eaffd700) at pthread_create.c:463
#16 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f98eb7fe700 (LWP 5736)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98e00025e0) at thread/qthread_unix.cpp:360
#11 0x00007f99829a96db in start_thread (arg=0x7f98eb7fe700) at pthread_create.c:463
#12 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f98ebfff700 (LWP 5735)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#32 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#33 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#34 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#35 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#36 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#37 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#38 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#39 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#40 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#41 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#42 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98e40025e0) at thread/qthread_unix.cpp:360
#43 0x00007f99829a96db in start_thread (arg=0x7f98ebfff700) at pthread_create.c:463
#44 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f9904e40700 (LWP 5734)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98f00021e0) at thread/qthread_unix.cpp:360
#23 0x00007f99829a96db in start_thread (arg=0x7f9904e40700) at pthread_create.c:463
#24 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f9905641700 (LWP 5733)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98ec0025e0) at thread/qthread_unix.cpp:360
#19 0x00007f99829a96db in start_thread (arg=0x7f9905641700) at pthread_create.c:463
#20 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f9905e42700 (LWP 5732)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#32 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#33 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#34 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#35 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#36 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98f80025e0) at thread/qthread_unix.cpp:360
#37 0x00007f99829a96db in start_thread (arg=0x7f9905e42700) at pthread_create.c:463
#38 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f9906643700 (LWP 5731)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98f40021e0) at thread/qthread_unix.cpp:360
#17 0x00007f99829a96db in start_thread (arg=0x7f9906643700) at pthread_create.c:463
#18 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f9906e44700 (LWP 5730)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#13 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#14 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#15 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#16 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#17 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#18 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#19 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#20 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#21 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#22 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#23 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#24 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#25 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#26 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#27 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#28 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#29 0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#30 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#31 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#32 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f98fc0025e0) at thread/qthread_unix.cpp:360
#33 0x00007f99829a96db in start_thread (arg=0x7f9906e44700) at pthread_create.c:463
#34 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f9907645700 (LWP 5729)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1c4e4e34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1c4e4de0, cond=0x557e1c4e4e08) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1c4e4e08, mutex=0x557e1c4e4de0) at pthread_cond_wait.c:655
#3  0x00007f998a3b7aeb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e1c4e4de0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f998a3b7aeb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e1c474990, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f998a3b7df9 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e1c5418e8, mutex=0x557e1c474990, time=<optimized out>) at thread/qwaitcondition_unix.cpp:208
#6  0x00007f99805aa845 in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#7  0x00007f99805ae6f8 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#8  0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#9  0x00007f99805ae752 in  () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#10 0x00007f99805a9b0d in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#11 0x00007f99805ac5bb in ThreadWeaver::Thread::run() () at /usr/lib/x86_64-linux-gnu/libKF5ThreadWeaver.so.5
#12 0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1e622a90) at thread/qthread_unix.cpp:360
#13 0x00007f99829a96db in start_thread (arg=0x7f9907645700) at pthread_create.c:463
#14 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f991287e700 (LWP 5641)):
#0  0x00007f9989c9c0b4 in __GI___libc_read (fd=32, buf=0x7f991287d7b0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f99808512d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c0b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998080c570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9900024870, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f991287d9c0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#8  0x00007f99101bf825 in  () at /usr/lib/x86_64-linux-gnu/qt5/qml/QtQuick/XmlListModel/libqmlxmllistmodelplugin.so
#9  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1e722200) at thread/qthread_unix.cpp:360
#10 0x00007f99829a96db in start_thread (arg=0x7f991287e700) at pthread_create.c:463
#11 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f9919768700 (LWP 5565)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f990c004c80, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f990c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9919767910, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f9988ab76af in  () at /usr/lib/x86_64-linux-gnu/libKDevPlatformLanguage.so.54
#7  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1d401890) at thread/qthread_unix.cpp:360
#8  0x00007f99829a96db in start_thread (arg=0x7f9919768700) at pthread_create.c:463
#9  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f9925532700 (LWP 5564)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f9914003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9914000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9925531910, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f9988ab76af in  () at /usr/lib/x86_64-linux-gnu/libKDevPlatformLanguage.so.54
#7  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1c9a8470) at thread/qthread_unix.cpp:360
#8  0x00007f99829a96db in start_thread (arg=0x7f9925532700) at pthread_create.c:463
#9  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f992813e700 (LWP 5562)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f9920004a10, nfds=1, timeout=10164) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9920000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f992813d9e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1c88ef80) at thread/qthread_unix.cpp:360
#7  0x00007f99829a96db in start_thread (arg=0x7f992813e700) at pthread_create.c:463
#8  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f993c975700 (LWP 5555)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f9934004e00, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9934000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f993c9749c0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f99837bd815 in  () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1c725790) at thread/qthread_unix.cpp:360
#8  0x00007f99829a96db in start_thread (arg=0x7f993c975700) at pthread_create.c:463
#9  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f993d5ab700 (LWP 5553)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f9930003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9930000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f993d5aa9e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f99800f76c8) at thread/qthread_unix.cpp:360
#7  0x00007f99829a96db in start_thread (arg=0x7f993d5ab700) at pthread_create.c:463
#8  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f993f604700 (LWP 5552)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f9938004b80, nfds=1, timeout=131163) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f998080c5c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9938000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f993f603970, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f99889b32db in  () at /usr/lib/x86_64-linux-gnu/libKDevPlatformLanguage.so.54
#7  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1c6da6b0) at thread/qthread_unix.cpp:360
#8  0x00007f99829a96db in start_thread (arg=0x7f993f604700) at pthread_create.c:463
#9  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f994d995700 (LWP 5550)):
#0  0x00007f9989c9c0b4 in __GI___libc_read (fd=16, buf=0x7f994d9947a0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f99808512d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f998080c0b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f998080c570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f998a5f3acb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9940000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f994d9949b0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007f998a3af3aa in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#8  0x00007f998b7420e5 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x7f998b9b9d80) at thread/qthread_unix.cpp:360
#10 0x00007f99829a96db in start_thread (arg=0x7f994d995700) at pthread_create.c:463
#11 0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f994fbe1700 (LWP 5549)):
#0  0x00007f99829af9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557e1be4eec8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f99829af9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x557e1be4ee78, cond=0x557e1be4eea0) at pthread_cond_wait.c:502
#2  0x00007f99829af9f3 in __pthread_cond_wait (cond=0x557e1be4eea0, mutex=0x557e1be4ee78) at pthread_cond_wait.c:655
#3  0x00007f99550c2c3b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f99550c2837 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f99829a96db in start_thread (arg=0x7f994fbe1700) at pthread_create.c:463
#6  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f995866a700 (LWP 5548)):
#0  0x00007f9989ca0bf9 in __GI___poll (fds=0x7f99586698e8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f9974589747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f997458b36a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f995a5b5e10 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f998a3b0b52 in QThreadPrivate::start(void*) (arg=0x557e1bdffa90) at thread/qthread_unix.cpp:360
#5  0x00007f99829a96db in start_thread (arg=0x7f995866a700) at pthread_create.c:463
#6  0x00007f9989cad88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f998d712100 (LWP 5546)):
[KCrash Handler]
#6  0x00007f992d79a618 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/kdevplatform/32/kdevstandardoutputview.so
#7  0x00007f998ace109d in KJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#8  0x00007f998cfaaa03 in KDevelop::ExecuteCompositeJob::doKill() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformUtil.so.54
#9  0x00007f998ace109d in KJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#10 0x00007f998d2afce7 in KDevelop::RunController::stopAllProcesses() () at /usr/lib/x86_64-linux-gnu/libKDevPlatformShell.so.54
#11 0x00007f998a5c691f in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffeef9a0000, r=0x557e1c536250, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#12 0x00007f998a5c691f in QMetaObject::activate(QObject*, int, int, void**) (sender=sender@entry=0x557e1c508af0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=1, argv=<optimized out>, argv@entry=0x7ffeef9a0000) at kernel/qobject.cpp:3789
#13 0x00007f998a5c6ec7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x557e1c508af0, m=m@entry=0x7f998c4553c0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffeef9a0000) at kernel/qobject.cpp:3660
#14 0x00007f998bd747c2 in QAction::triggered(bool) (this=this@entry=0x557e1c508af0, _t1=<optimized out>) at .moc/moc_qaction.cpp:381
#15 0x00007f998bd76e7c in QAction::activate(QAction::ActionEvent) (this=0x557e1c508af0, event=<optimized out>) at kernel/qaction.cpp:1166
#16 0x00007f998be66a4b in QAbstractButtonPrivate::click() (this=0x557e1c3f4e30) at widgets/qabstractbutton.cpp:397
#17 0x00007f998be66cad in QAbstractButton::mouseReleaseEvent(QMouseEvent*) (this=0x557e1c525610, e=0x7ffeef9a05a0) at widgets/qabstractbutton.cpp:1011
#18 0x00007f998bf56a7a in QToolButton::mouseReleaseEvent(QMouseEvent*) (this=<optimized out>, e=<optimized out>) at widgets/qtoolbutton.cpp:622
#19 0x00007f998bdbbcb8 in QWidget::event(QEvent*) (this=0x557e1c525610, event=0x7ffeef9a05a0) at kernel/qwidget.cpp:9339
#20 0x00007f998be67e7b in QAbstractButton::event(QEvent*) (this=this@entry=0x557e1c525610, e=e@entry=0x7ffeef9a05a0) at widgets/qabstractbutton.cpp:968
#21 0x00007f998bf56b14 in QToolButton::event(QEvent*) (this=0x557e1c525610, event=0x7ffeef9a05a0) at widgets/qtoolbutton.cpp:1002
#22 0x00007f998bd7aeac in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x557e1bdb5e80, receiver=receiver@entry=0x557e1c525610, e=e@entry=0x7ffeef9a05a0) at kernel/qapplication.cpp:3703
#23 0x00007f998bd83388 in QApplication::notify(QObject*, QEvent*) (this=<optimized out>, receiver=0x557e1c525610, e=0x7ffeef9a05a0) at kernel/qapplication.cpp:3163
#24 0x00007f998a595e38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x557e1c525610, event=0x7ffeef9a05a0) at kernel/qcoreapplication.cpp:1095
#25 0x00007f998a59601e in QCoreApplication::sendSpontaneousEvent(QObject*, QEvent*) (receiver=receiver@entry=0x557e1c525610, event=event@entry=0x7ffeef9a05a0) at kernel/qcoreapplication.cpp:1502
#26 0x00007f998bd8197f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) (receiver=receiver@entry=0x557e1c525610, event=event@entry=0x7ffeef9a05a0, alienWidget=0x557e1c525610, nativeWidget=0x557e1c1fbc60, buttonDown=buttonDown@entry=0x7f998c4848b0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2649
#27 0x00007f998bdd66b1 in QWidgetWindow::handleMouseEvent(QMouseEvent*) (this=this@entry=0x557e1c5ac2d0, event=event@entry=0x7ffeef9a0a30) at kernel/qwidgetwindow.cpp:662
#28 0x00007f998bdd964a in QWidgetWindow::event(QEvent*) (this=0x557e1c5ac2d0, event=0x7ffeef9a0a30) at kernel/qwidgetwindow.cpp:281
#29 0x00007f998bd7aeac in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x557e1bdb5e80, receiver=receiver@entry=0x557e1c5ac2d0, e=e@entry=0x7ffeef9a0a30) at kernel/qapplication.cpp:3703
#30 0x00007f998bd824b0 in QApplication::notify(QObject*, QEvent*) (this=0x7ffeef9a0f90, receiver=0x557e1c5ac2d0, e=0x7ffeef9a0a30) at kernel/qapplication.cpp:3449
#31 0x00007f998a595e38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x557e1c5ac2d0, event=0x7ffeef9a0a30) at kernel/qcoreapplication.cpp:1095
#32 0x00007f998b057495 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#33 0x00007f998b0585e5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#34 0x00007f998b03279b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#35 0x00007f995a5b6dda in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#36 0x00007f998080c417 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007f998080c650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007f998080c6dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f998a5f3aaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x557e1be5b000, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#40 0x00007f998a593f9a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffeef9a0dd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#41 0x00007f998a59d310 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1403
#42 0x0000557e1a071ec7 in  ()
#43 0x00007f9989badb97 in __libc_start_main (main=0x557e1a06c510, argc=1, argv=0x7ffeef9a11c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffeef9a11b8) at ../csu/libc-start.c:310
#44 0x0000557e1a07270a in _start ()

Possible duplicates by query: bug 416816, bug 416730, bug 416714, bug 416549, bug 416494.

Reported using DrKonqi
Comment 1 Lucas Pires Camargo 2020-01-28 17:19:50 UTC
Oh wait, I have edited the bug title accordingly. I now crashes every time when opening the session, and looking at the stack trace more closely, there seems to be something wrong with the editor component.
Comment 2 Sven Brauch 2020-01-28 17:55:37 UTC
What's that trace? The one you posted clearly points to the output view.
Comment 3 Lucas Pires Camargo 2020-01-28 18:07:52 UTC
Sorry, I had to carry on working and cleared the cache. After that, it stopped crashing.
Comment 4 Lucas Pires Camargo 2020-01-28 18:08:58 UTC
Oh, and you are right, sorry, I glanced at output view and though it had to do with Katepart for some reason.
Comment 5 Lucas Pires Camargo 2020-01-28 18:36:38 UTC
Created attachment 125495 [details]
Another stack trace

Ok, it keeps happening. KJob::kill() seems to be the culprit, not really the output view. As for the first stack trace, it looks as if KJob::kill() jumped to a random location in the output pane plugin, but not the second time. Uninitialized/corrupted function pointer maybe? ._.
Comment 6 Lucas Pires Camargo 2020-02-04 14:51:02 UTC
Created attachment 125662 [details]
Happened again, crash in KJob::kill()

This may be a bug in Frameworks
Comment 7 Anon 2020-02-06 13:38:47 UTC
I had this problem in every version change, also in the new version 5.5.0 It was solved by activating the "KDevGenericManager" add-on

In other versions this add-on was deactivated when upgrading, in version 5.5 it was activated (apparently), so I deactivated it... I applied... I activated it again... applied... and the problem was solved.
Comment 8 Lucas Pires Camargo 2020-02-11 16:14:23 UTC
(In reply to Anon from comment #7)
> I had this problem in every version change, also in the new version 5.5.0 It
> was solved by activating the "KDevGenericManager" add-on
> 
> In other versions this add-on was deactivated when upgrading, in version 5.5
> it was activated (apparently), so I deactivated it... I applied... I
> activated it again... applied... and the problem was solved.

I have tried that, to no avail. I got the work done anyways and when KDevelop crashed I'd just restart it. A bit annoying but not a dealbreaker for me.

For my next project I'm moving to VS Code because of the embedded systems dev plugins. I'll spin up KDevelop again when the time comes. It's a great IDE for Cpp+Python projects, for sure.
Comment 9 Bug Janitor Service 2020-09-22 12:19:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/kdevelop/kdevelop/-/merge_requests/167
Comment 10 Igor Kushnir 2020-09-22 12:25:35 UTC
This crash can be reproduced reliably with the following steps:
1. Execute-Launch an application from KDevelop.
2. Repeat the 1st step with the same application while the previous instance is still running.
3. In the "Job Already Running" dialog that appears after the 2nd step click the Cancel button.
4. Press the "Stop All" button.
Comment 11 Igor Kushnir 2020-09-23 14:42:37 UTC
Git commit 147add2ed8b3eac24b6bbd1af818f4685ab2aced by Igor Kushnir.
Committed on 22/09/2020 at 11:55.
Pushed by igorkushnir into branch '5.6'.

Don't crash after Cancel in Job Already Running dialog

When a user Execute-Launches an application a second time while the
previously launched instance of this application is still running, the
"Job Already Running" dialog appears with 3 buttons. If a user clicks
the Cancel button, a NativeAppJob kills itself Quietly. This
NativeAppJob belongs to an ExecuteCompositeJob, which is not notified
when a subjob is killed Quietly. So the ExecuteCompositeJob keeps
waiting for it to finish. When this waiting ExecuteCompositeJob is
killed (e.g. via "Stop All" button or on KDevelop exit), it attempts to
kill the subjob it believes is still running, but which in fact is long
since destroyed. This usually causes a segmentation fault.

Aleix Pol fixed a similar crash when the "Kill All Instances" button in
the "Job Already Running" dialog is clicked in
8430d3058f92725b4e6b7d85d8d68550ce12ee79.
Related: bug 399511
FIXED-IN: 5.6.1

M  +1    -1    plugins/execute/nativeappjob.cpp

https://invent.kde.org/kdevelop/kdevelop/commit/147add2ed8b3eac24b6bbd1af818f4685ab2aced